use serde::{Deserialize, Serialize};

pub struct ListBettingsRequest {
  pub vendor_key: Option<String>,
  pub sdate: Option<String>,
  pub edate: Option<String>,
  pub group_key: Option<String>,
  pub username: Option<String>,
  pub limit: i64,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _ListBettingsResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub transactions: Option<Vec<String>>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct ListBettingsResponse {
  pub transactions: Vec<String>,
}

pub struct GetPragmaticBettingRequest {
  pub id: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetPragmaticBettingResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub url: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetPragmaticBettingResponse {
  pub url: String,
}

pub struct GetEvolutionBettingDetailRequest {
  pub ids: String,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetEvolutionBettingDetailResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub transactions: Option<Vec<String>>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetEvolutionBettingDetailResponse {
  pub transactions: Vec<String>,
}

pub struct GetStatisticRequest {
  pub vendor_key: Option<String>,
  pub group_key: Option<String>,
  pub date: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct _GetStatisticResponse {
  pub code: i64,
  pub msg: Option<String>,
  pub data: Option<String>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct GetStatisticResponse {
  pub data: String,
}
